spot 2.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Attributes | List of all members
spot::automaton_parser_options Struct Referencefinal
TωA (Transition-based ω-Automata) » TωA algorithms » Input/Output of TωA
Collaboration diagram for spot::automaton_parser_options:

## Public Attributes
bool | ignore_abort = false
| Skip aborted automata. More...
bool | debug = false
| Run the parser in debug mode? More...
bool | trust_hoa = true
| Trust properties in HOA files. More...
bool | raise_errors = false
| Raise errors as exceptions. More...
bool | want_kripke = false
| Parse as a Kripke structure. More...

## Member Data Documentation

bool spot::automaton_parser_options::debug = false

Run the parser in debug mode?

bool spot::automaton_parser_options::ignore_abort = false

Skip aborted automata.

bool spot::automaton_parser_options::raise_errors = false

Raise errors as exceptions.

bool spot::automaton_parser_options::trust_hoa = true

Trust properties in HOA files.

bool spot::automaton_parser_options::want_kripke = false

Parse as a Kripke structure.

The documentation for this struct was generated from the following file:

- spot/parseaut/public.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.